opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
cv::BaseRowFilter Class Referenceabstract

`#include <imgproc.hpp>`

## Public Member Functions
| BaseRowFilter ()
| the default constructor
virtual void | operator() (const uchar *src, uchar *dst, int width, int cn)=0
| the filtering operator. Must be overrided in the derived classes. The horizontal border interpolation is done outside of the class.
virtual | ~BaseRowFilter ()
| the destructor

## Public Attributes
int | anchor
int | ksize

## Detailed Description

The Base Class for 1D or Row-wise Filters

This is the base class for linear or non-linear filters that process 1D data. In particular, such filters are used for the "horizontal" filtering parts in separable filters.

Several functions in OpenCV return Ptr<BaseRowFilter> for the specific types of filters, and those pointers can be used directly or within cv::FilterEngine.

## Constructor & Destructor Documentation

cv::BaseRowFilter::BaseRowFilter | ( |  | ) |

the default constructor

virtual cv::BaseRowFilter::~BaseRowFilter | ( |  | ) |
| virtual

the destructor

## Member Function Documentation

virtual void cv::BaseRowFilter::operator() | ( | const uchar * | src,
|  | uchar * | dst,
|  | int | width,
|  | int | cn
| ) |  |
| pure virtual

the filtering operator. Must be overrided in the derived classes. The horizontal border interpolation is done outside of the class.

## Member Data Documentation

int cv::BaseRowFilter::anchor

int cv::BaseRowFilter::ksize

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/imgproc/include/opencv2/imgproc/imgproc.hpp